import ModifyXmlHelper from '../helper/modify-xml-helper';
import { ModifyTableParams, TableData, TableRowStyle } from '../types/table-types';
import { Modification, ModificationTags, ModifyCallback } from '../types/modify-types';
import { XmlDocument, XmlElement } from '../types/xml-types';
export declare class ModifyTable {
    data: TableData;
    table: ModifyXmlHelper;
    xml: XmlDocument | XmlElement;
    maxCols: number;
    params: ModifyTableParams;
    constructor(table: XmlDocument | XmlElement, data?: TableData);
    modify(params?: ModifyTableParams): ModifyTable;
    setRows(): void;
    expandOtherMergedCellsInColumn(c: number, r: number): void;
    setGridCols(): void;
    sliceRows(): void;
    sliceCols(): void;
    row: (index: number, children: ModificationTags) => ModificationTags;
    column: (index: number, children: ModificationTags) => ModificationTags;
    cell: (value: number | string, style?: TableRowStyle) => ModificationTags;
    setCellStyle(style: TableRowStyle): Modification & {
        modify: ModifyCallback[];
    };
    setCellBorder(style: any): {};
    slice(tag: string, length: number): Modification;
    adjustHeight(): this;
    adjustWidth(): this;
    updateColumnWidth(c: number, size: number): this;
    updateRowHeight(r: number, size: number): this;
    setSize(orientation: 'cx' | 'cy', size: number): void;
    getTableSize(orientation: string): number;
    expandRows: (count: number, rowId: number) => void;
    expandSpanColumns: (count: number, colId: number, gridSpan: number) => void;
    expandColumns: (count: number, colId: number) => void;
    getExpandCellClone(columns: HTMLCollectionOf<XmlElement>, sourceCell: XmlElement, colId: number): XmlElement;
    expandGridSpan(sourceCell: XmlElement): boolean;
    expandGrid: (count: number, colId: number, gridSpan: number) => void;
    updateId: (element: XmlElement, tag: string, id: number) => void;
}
